/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-initiation-request
curl --request POST \
--url https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-initiation-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pixDict": "<string>",
"debitParty": {
"name": "<string>",
"email": "jsmith@example.com",
"document": "<string>"
},
"schedule": {
"amount": 1.01,
"date": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"occurrences": 123,
"dayOfMonth": 123,
"dates": [
"2023-11-07T05:31:56Z"
],
"additionalInformation": "<string>"
},
"description": "<string>"
}
'import requests
url = "https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-initiation-request"
payload = {
"pixDict": "<string>",
"debitParty": {
"name": "<string>",
"email": "jsmith@example.com",
"document": "<string>"
},
"schedule": {
"amount": 1.01,
"date": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"occurrences": 123,
"dayOfMonth": 123,
"dates": ["2023-11-07T05:31:56Z"],
"additionalInformation": "<string>"
},
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pixDict: '<string>',
debitParty: {name: '<string>', email: 'jsmith@example.com', document: '<string>'},
schedule: {
amount: 1.01,
date: '2023-11-07T05:31:56Z',
startDate: '2023-11-07T05:31:56Z',
occurrences: 123,
dayOfMonth: 123,
dates: ['2023-11-07T05:31:56Z'],
additionalInformation: '<string>'
},
description: '<string>'
})
};
fetch('https://api.banking.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-initiation-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PIX Initiation (Open Finance)
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-initiation-request
POST
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
accounts
/
{accountId}
/
wallets
/
{walletId}
/
pix-billing-initiation-request
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-initiation-request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
default
Undocumented response (no code type, no existing spec).
/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-initiation-request/realms/{realmId}/organizations/{organizationId}/accounts/{accountId}/wallets/{walletId}/pix-billing-initiation-request/{pixBillingInitiationRequestId}
⌘I